sdev_evt_alloc
Prev | drivers/scsi/scsi_lib.c | Next

## Name

sdev_evt_alloc — allocate a new scsi event

## Synopsis

`struct scsi_event * sdev_evt_alloc (` | enum scsi_device_event | evt_type,
| gfp_t | gfpflags`)`;

## Arguments

`evt_type`

  type of event to allocate

`gfpflags`

  GFP flags for allocation

## Description

Allocates and returns a new scsi_event.

Prev | Up | Next
sdev_evt_send | Home | sdev_evt_send_simple